Package fpc: Information

Source package: fpc
Version: 2.6.2-alt2
Build time:  Dec 6, 2013, 03:07 PM
 in the task #110113
Copied in the task: #116520
Category: Development/Other
Report package bug
License: GPL
Summary:  Free Pascal Compiler -- Meta Package
Description: 
The Free Pascal Compiler is an object pascal compiler supporting both Delphi
and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
It provides a completely portable RunTime Library (RTL) available on many
platforms and compatible with Turbo Pascal, but also a platfrom independent
class based Free Component Library (FCL) adding many Delphi extensions and
interfacing many popular open source libraries.

Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Delphi language extentions like classes,
exceptions, ansi strings and open arrays are also supported.

This package contains dependency on all FPC packages provided on your
architecture. Experienced users may want to install only packages they need,
and can skip installing this metapackage.
List of rpms provided by this srpm: 
fpc (x86_64, i586)
fpc-common (x86_64, i586)
fpc-compiler (x86_64, i586)
fpc-ide (x86_64, i586)
fpc-src (noarch)
fpc-units-base (x86_64, i586)
fpc-units-db (x86_64, i586)
fpc-units-fcl (x86_64, i586)
fpc-units-fv (x86_64, i586)
fpc-units-gfx (x86_64, i586)
fpc-units-gnome1 (x86_64, i586)
fpc-units-gtk (x86_64, i586)
fpc-units-gtk2 (x86_64, i586)
fpc-units-math (x86_64, i586)
fpc-units-misc (x86_64, i586)
fpc-units-multimedia (x86_64, i586)
fpc-units-net (x86_64, i586)
fpc-units-rtl (x86_64, i586)
fpc-utils (x86_64, i586)
fpc-win32 (i586)
Last changes:
Dec. 6, 2013 Andrey Cherepanov 2:2.6.2-alt2
- Remove excess optimization on Pentium CPU that causes compile problem
  on AMD CPU (ALT #29635)
March 10, 2013 Slava Dubrovskiy 2:2.6.2-alt1
- New version (ALT #28639)
- Add Requires libX11-devel libXext-devel libXrandr-devel libXxf86dga-devel libXxf86vm-devel svgalib-devel in units-gfx (ALT #26812)
Aug. 28, 2012 Repocop Q. A. Robot 2:2.6.0-alt2.qa2
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * beehive-log-dependency-needs-epoch-x86_64 for fpc
  * postclean-03-private-rpm-macros for the spec file
Back to Top